#---
# Excerpted from "Payment Processing with Paypal and Ruby",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/jfpaypal for more book information.
#---
# Settings specified here will take precedence over those in config/environment.rb

# In the development environment your application's code is reloaded on
# every request.  This slows down response time but is perfect for development
# since you don't have to restart the webserver when you make code changes.
config.cache_classes     = false

# Log error messages when you accidentally call methods on nil.
config.whiny_nils        = true

# Enable the breakpoint server that script/breakpointer connects to
config.breakpoint_server = true

# Show full error reports and disable caching
config.action_controller.consider_all_requests_local = true
config.action_controller.perform_caching             = false

# Don't care if the mailer can't send
config.action_mailer.raise_delivery_errors = false

# Add extra directory for finding soap4r
#$LOAD_PATH.unshift("/home/fidbaadmin/myruby")

$PP_ENDPOINT_URL="https://api-aa.sandbox.paypal.com/2.0/"
$PP_CA_FILE="#{RAILS_ROOT}/config/environments/#{RAILS_ENV}/api_cert_chain.crt"
$PP_CLIENT_CERT="#{RAILS_ROOT}/config/environments/#{RAILS_ENV}/client.cert"
$PP_CLIENT_KEY="#{RAILS_ROOT}/config/environments/#{RAILS_ENV}/client.keys"
$PP_EXPRESS_CHECKOUT_REDIRECT_URL="https://www.sandbox.paypal.com/cgi-bin/webscr?cmd=_express-checkout&token="
$PP_CLIENT_LOGIN="business_api1.bodkinconsulting.com"
$PP_CLIENT_PASSWORD="wsxwsxwsx"
$PP_DEBUG=STDERR
